Skip to main content
GET
/
api
/
public
/
v1
/
product
/
listing
/
list-by
/
city
cURL
curl --location 'https://www.headout.com/api/v1/product/listing/list-by/city?cityCode=LONDON&currencyCode=CAD&language=FR&limit=10&offset=10' \
--header 'Headout-Auth: <YOUR_API_KEY>'
{
  "items": [
    {
      "id": 123,
      "name": "<string>",
      "url": "<string>",
      "canonicalUrl": "<string>",
      "neighbourhood": "<string>",
      "content": {
        "highlights": "<string>",
        "highlightsHtml": "<string>",
        "shortSummary": "<string>",
        "summaryHtml": "<string>",
        "inclusions": "<string>",
        "inclusionsHtml": "<string>",
        "exclusions": "<string>",
        "exclusionsHtml": "<string>",
        "faqHtml": "<string>",
        "ticketDeliveryInfoHtml": "<string>"
      },
      "city": {
        "code": "<string>",
        "name": "<string>",
        "image": {
          "url": "<string>"
        }
      },
      "displayTags": [
        "<string>"
      ],
      "images": [
        {
          "url": "<string>",
          "type": "IMAGE"
        }
      ],
      "startLocation": {
        "geolocation": {
          "latitude": 123,
          "longitude": 123
        },
        "address": {
          "addressLine1": "<string>",
          "addressLine2": "<string>",
          "cityName": "<string>",
          "postalCode": "<string>",
          "state": "<string>",
          "countryName": "<string>"
        }
      },
      "endLocation": {
        "geolocation": {
          "latitude": 123,
          "longitude": 123
        },
        "address": {
          "addressLine1": "<string>",
          "addressLine2": "<string>",
          "cityName": "<string>",
          "postalCode": "<string>",
          "state": "<string>",
          "countryName": "<string>"
        }
      },
      "productType": "TOUR",
      "ratingCumulative": {
        "avg": 123,
        "count": 123
      },
      "pricing": {
        "type": "PER_PERSON",
        "currencyCode": "<string>",
        "minimumPrice": {
          "originalPrice": 123,
          "finalPrice": 123
        },
        "bestDiscount": 123
      },
      "currency": {
        "code": "<string>",
        "currencyName": "<string>",
        "symbol": "<string>",
        "localSymbol": "<string>",
        "precision": 123
      },
      "hasInstantConfirmation": true,
      "hasMobileTicket": true,
      "primaryCategory": {
        "id": "<string>",
        "name": "<string>",
        "cityCode": "<string>",
        "canonicalUrl": "<string>",
        "localeSpecificUrls": {}
      },
      "inventorySelectionType": "NORMAL",
      "variants": [
        {
          "id": "<string>",
          "name": "<string>",
          "description": "<string>",
          "duration": 123,
          "inventoryType": "FIXED_START_FIXED_DURATION",
          "pax": {
            "min": 123,
            "max": 123
          },
          "cashback": {
            "value": 123,
            "type": "PERCENTAGE"
          },
          "ticketDeliveryInfoHtml": "<string>",
          "inputFields": [
            {
              "oldId": 123,
              "id": "<string>",
              "name": "<string>",
              "dataType": "STRING",
              "validation": {
                "regex": "<string>",
                "minLength": 123,
                "maxLength": 123,
                "minValue": 123,
                "maxValue": 123,
                "required": true,
                "values": [
                  "<string>"
                ]
              },
              "level": "PRIMARY_CUSTOMER"
            }
          ],
          "tags": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "nextUrl": "<string>",
  "prevUrl": "<string>",
  "total": 123,
  "nextOffset": 123
}

Authorizations

Headout-Auth
string
header
required

Query Parameters

cityCode
string
required

City code to list product listings for.

currencyCode
string

Currency code for product pricing.

language
enum<string>
default:EN

Language code for localization.

Available options:
EN,
ES,
FR,
IT,
DE,
PT,
NL,
PL
Example:

"EN"

offset
string

Number of items to skip before starting to collect the result set.

limit
integer

Maximum number of items to return.

Response

200 - application/json

Successful response

items
object[]

The product listings in this page of results.

nextUrl
string

Full URL to fetch the next page of results. Null if on the last page.

prevUrl
string

Full URL to fetch the previous page of results. Null if on the first page.

total
integer

Total number of products matching the query across all pages.

nextOffset
integer

Offset value to use in the next request to retrieve the following page.